package engine.gameManager;

public class ZergManager {
    public static float getMultiplier5Man(int count){
        float multiplier = 1.0f;
        switch(count){
            case 1:
            case 2:
                multiplier += 0.8f;
                break;
            case 3:
                multiplier += 0.5f;
                break;
            case 4:
                multiplier += 0.2f;
                break;
            case 5:
                multiplier += 0.0f;
                break;
            case 6:
                multiplier -= 0.2f;
                break;
            case 7:
                multiplier -= 0.4f;
                break;
            case 8:
                multiplier -= 0.6f;
                break;
            default:
                multiplier -= 0.80f;
                break;
        }
        return multiplier;
    }

    public static float getMultiplier10Man(int count){
        float multiplier = 1.0f;
        switch(count){
            case 1:
                multiplier += 1.0f;
                break;
            case 2:
                multiplier += 1.0f;
                break;
            case 3:
                multiplier += 1.0f;
                break;
            case 4:
                multiplier += 1.0f;
                break;
            case 5:
                multiplier += 0.8f;
                break;
            case 6:
                multiplier += 0.55f;
                break;
            case 7:
                multiplier += 0.35f;
                break;
            case 8:
                multiplier += 0.2f;
                break;
            case 9:
                multiplier += 0.1f;
                break;
            case 10:
                multiplier += 0.0f;
                break;
            case 11:
                multiplier -= 0.1f;
                break;
            case 12:
                multiplier -= 0.2f;
                break;
            case 13:
                multiplier -= 0.35f;
                break;
            case 14:
                multiplier -= 0.55f;
                break;
            default:
                multiplier -= 0.75f;
                break;
        }
        return multiplier;
    }

    public static float getMultiplier20Man(int count){
        float multiplier = 1.0f;
        if(count < 10){
            multiplier += 1.25f;
        }else {
            switch (count) {
                case 10:
                    multiplier += 0.8f;
                    break;
                case 11:
                    multiplier += 0.65f;
                    break;
                case 12:
                    multiplier += 0.54f;
                    break;
                case 13:
                    multiplier += 0.46f;
                    break;
                case 14:
                    multiplier += 0.36f;
                    break;
                case 15:
                    multiplier += 0.28f;
                    break;
                case 16:
                    multiplier += 0.21f;
                    break;
                case 17:
                    multiplier += 0.15f;
                    break;
                case 18:
                    multiplier += 0.09f;
                    break;
                case 19:
                    multiplier += 0.04f;
                    break;
                case 20:
                    multiplier += 0.00f;
                    break;
                case 21:
                    multiplier -= 0.04f;
                    break;
                case 22:
                    multiplier -= 0.09f;
                    break;
                case 23:
                    multiplier -= 0.15f;
                    break;
                case 24:
                    multiplier -= 0.21f;
                    break;
                case 25:
                    multiplier -= 0.28f;
                    break;
                case 26:
                    multiplier -= 0.36f;
                    break;
                case 27:
                    multiplier -= 0.46f;
                    break;
                case 28:
                    multiplier -= 0.54f;
                    break;
                case 29:
                    multiplier -= 0.65f;
                    break;
                default:
                    multiplier -= 0.75f;
                    break;
            }
        }
        return multiplier;
    }
}
